## Get summaries for a document **get** `/documents/{id}/document-summaries` Retrieve all summaries associated with a specific document ### Path Parameters - `id: string` ### Returns - `data: array of DocumentSummary` - `id: string` Unique identifier for the document summary - `created_at: string` Timestamp when the summary was created - `display_name: string` Display name for the summary - `document_id: string` ID of the document this summary belongs to - `household_id: string` ID of the household this summary belongs to - `summary: string` The summary text content - `updated_at: string` Timestamp when the summary was last updated - `entry_mode: optional DocumentSummaryEntryMode` Indicates if the summary was AI-generated or user-entered - `"AI_AUTO"` - `"USER"` - `summary_format: optional DocumentSummaryFormat` Format of the summary content - `"MARKDOWN"` - `"PLAIN_TEXT"` ### Example ```http curl https://$WITHLUMINARY_SUBDOMAIN.withluminary.com/api/public/v1/documents/$ID/document-summaries ``` #### Response ```json { "data": [ { "id": "document_summary_01ARZ3NDEKTSV4RRFFQ69G5FAV", "created_at": "2019-12-27T18:11:19.117Z", "display_name": "Default summary", "document_id": "document_01ARZ3NDEKTSV4RRFFQ69G5FAV", "household_id": "household_01ARZ3NDEKTSV4RRFFQ69G5FAV", "summary": "summary", "updated_at": "2019-12-27T18:11:19.117Z", "entry_mode": "AI_AUTO", "summary_format": "MARKDOWN" } ] } ```